Subject: Re: bug#21333: 25.0.50; window-size-change-functions not called after mini-window resize

From: Eli Zaretskii <[email-masked]>
Date: Wed, 26 Aug 2015 18:32:14 +0300

> Date: Wed, 26 Aug 2015 09:09:48 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > And we get regular complaints about that as well.  Moreover, the
> > setting of the modified status by fill-paragraph is just an annoyance
> > that doesn't cost anyone any extra complexity, whereas the situation
> > with this and similar hooks costs us quite a lot in that aspect.
> 
> But you don't worry about performance anyway.

I said "complexity".  A hook function for a hook that calls you
indiscriminately can be very cheap performance-wise, but its
complexity could be overwhelming, and the result could easily be
fragile.

> OTOH for the person who writes the function on the hook it might
> hardly matter whether some window size really changed.  The more
> important case might be to not miss one single case where the size
> really changes.

Inaccurate hooks make this task very hard and prone to breakage with
each new release.